export * from '../steps';
export * from '../scenarios';
import * as CucumberJS from 'cucumber';
import { CustomWorld } from '../worlds/custom_world';
import { Metadata as ScenarioMetadata } from '../support/scenario_metadata';
import { StepsWorld } from '../worlds/steps_world';
export declare class Metadata implements ScenarioMetadata {
    private readonly customWorld;
    private readonly scenario;
    private result;
    protected world: StepsWorld;
    constructor(customWorld: CustomWorld, scenario: CucumberJS.HookScenarioResult);
    readonly parameters: import("../worlds/custom_world").CucumberCLIArguments;
    readonly scenarioName: string;
    getWorldByConstructor(worldConstructor: Function): import("../worlds/annotated_world").AnnotatedWorld;
    attach(data: string, mime_type?: string, callback?: Function): void;
    readonly isReady: boolean;
    readonly isSuccess: boolean;
    readonly isFailed: boolean;
}
