import { StepsWorld } from '../worlds/steps_world';
export interface WorldConstructor {
    new (): StepsWorld;
    name: string;
}
export interface WorldPrototype {
    constructor: WorldConstructor;
}
export declare type WorldMeta = WorldConstructor | WorldPrototype;
export declare function metaIsConstructor(worldMeta: WorldMeta): worldMeta is WorldConstructor;
export declare function metaGetName(worldMeta: WorldMeta, methodName: string): string;
export declare function getConstructor(worldMeta: WorldMeta): WorldConstructor;
export declare function assertMethodConvention(worldMeta: WorldMeta, info: string, mustBeStatic: boolean): boolean;
